commit e12d2e7bc2e9f0c30a1029602e57e5ae8df1b9db
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Fri Oct 30 13:58:01 2020 +0000

        LDAP: fix taint-check in server list walk.  Bug 2646
    
        (cherry picked from commit 51b611aa81d7ee01243b196abc34a0e2eabd293c)

diff --git a/src/src/lookups/ldap.c b/src/src/lookups/ldap.c
index ef550a08d..34908a351 100644
--- a/src/src/lookups/ldap.c
+++ b/src/src/lookups/ldap.c
@@ -1093,7 +1093,6 @@ uschar *password = NULL;
 uschar *local_servers = NULL;
 uschar *server;
 const uschar *list;
-uschar buffer[512];
 
 while (isspace(*url)) url++;
 
@@ -1254,7 +1253,7 @@ if (!eldap_default_servers && !local_servers  || p[3] != '/')
 /* Loop through the default servers until OK or FAIL. Use local_servers list
  * if defined in the lookup, otherwise use the global default list */
 list = !local_servers ? eldap_default_servers : local_servers;
-while ((server = string_nextinlist(&list, &sep, buffer, sizeof(buffer))))
+while ((server = string_nextinlist(&list, &sep, NULL, 0)))
   {
   int rc;
   int port = 0;

